%define upstream_name    Padre-Plugin-ClassSniff
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Simple Class::Sniff interface for Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Sniff)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Padre)
BuildRequires: perl(Test::More)
BuildRequires: x11-server-xvfb

BuildArch: noarch


%description
Runs Class::Sniff on the first namespace of the current document and prints
the results to the Padre output window.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
xvfb-run %{__perl} Build.PL installdirs=vendor
./Build

%check
xvfb-run ./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.300.0-12.mga10
+ Revision: 2213885
- Mageia 10 Mass Rebuild

* Sat Apr 02 2022 umeabot <umeabot> 0.300.0-11.mga9
+ Revision: 1840178
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-10.mga8
+ Revision: 1496281
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.300.0-9.mga7
+ Revision: 1270237
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-8.mga6
+ Revision: 1031611
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.300.0-7.mga6
+ Revision: 971843
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.300.0-6.mga6
+ Revision: 893173
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-5.mga5
+ Revision: 749797
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 513901
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 371408
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 38679
- mageia rebuild
- imported package perl-Padre-Plugin-ClassSniff

